%define upstream_name	 FCGI
%define upstream_version 0.82

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Summary:    A Fast CGI module for Perl
License:    Distributable
Group:      Development/Perl
Url:        http://cpan.valueclick.com/authors/id/SKIMO/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz
Patch0:     perl-FCGI-0.71-CVE-2012-6687.patch

BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FCGI::Client) >= 0.90.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
This is a Fast CGI module for perl. It's based on the FCGI module that
comes with Open Market's FastCGI Developer's Kit, but does not require
you to recompile perl.

See <http://www.fastcgi.com/> for more information about fastcgi.
Lincoln D. Stein's perl CGI module also contains some information
about fastcgi programming.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1
chmod 0644 LICENSE META.json META.yml

%build
# Choose not to build a pure Perl implementation
# (default answer [n] -> return)
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make_build

%install
%make_install

%files
%doc ChangeLog LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/*/*
%{perl_vendorarch}/FCGI*
%{perl_vendorarch}/auto/FCGI


%changelog
* Fri Aug 23 2024 tv <tv> 0.820.0-5.mga10
+ Revision: 2089012
- Rebuild for perl-5.40

* Wed Nov 29 2023 tv <tv> 0.820.0-4.mga10
+ Revision: 2011128
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.820.0-3.mga9
+ Revision: 1861896
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.820.0-2.mga9
+ Revision: 1796404
- Mageia 9 Mass Rebuild

* Mon Aug 02 2021 tv <tv> 0.820.0-1.mga9
+ Revision: 1738546
- update to 0.82

* Tue Jul 27 2021 tv <tv> 0.800.0-1.mga9
+ Revision: 1737935
- update to 0.80

* Mon May 24 2021 umeabot <umeabot> 0.790.0-4.mga9
+ Revision: 1726579
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.790.0-3.mga8
+ Revision: 1594783
- Rebuild for perl 5.32

* Tue Feb 18 2020 umeabot <umeabot> 0.790.0-2.mga8
+ Revision: 1540771
- Mageia 8 Mass Rebuild

* Mon Dec 16 2019 tv <tv> 0.790.0-1.mga8
+ Revision: 1468229
- update to 0.79

* Tue Aug 27 2019 tv <tv> 0.780.0-8.mga8
+ Revision: 1432996
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.780.0-7.mga7
+ Revision: 1292840
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 shlomif <shlomif> 0.780.0-6.mga7
+ Revision: 1247961
- Rebuild for new perl

* Mon Oct 02 2017 tv <tv> 0.780.0-5.mga7
+ Revision: 1164312
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.780.0-4.mga7
+ Revision: 1148881
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.780.0-3.mga7
+ Revision: 1126686
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.780.0-2.mga6
+ Revision: 1027272
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.780.0-1.mga6
+ Revision: 1001927
- New version 0.78

* Thu Feb 25 2016 luigiwalser <luigiwalser> 0.770.0-9.mga6
+ Revision: 979141
- add patch from debian to fix CVE-2012-6687

* Fri Feb 12 2016 umeabot <umeabot> 0.770.0-8.mga6
+ Revision: 957274
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.770.0-7.mga6
+ Revision: 844867
- rebuild for soname-ifed perl

* Wed Jun 24 2015 guillomovitch <guillomovitch> 0.770.0-6.mga6
+ Revision: 842067
- rebuild for perl 5.22

* Wed Jun 24 2015 shlomif <shlomif> 0.770.0-5.mga6
+ Revision: 842030
- Rebuild for the new perl-5.22.0

* Wed Oct 15 2014 umeabot <umeabot> 0.770.0-4.mga5
+ Revision: 749325
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.770.0-3.mga5
+ Revision: 732127
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.770.0-2.mga5
+ Revision: 684696
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 0.770.0-1.mga5
+ Revision: 660479
- update to 0.77

* Thu Jul 17 2014 sander85 <sander85> 0.750.0-1.mga5
+ Revision: 653390
- update to 0.75

* Tue Jun 03 2014 pterjan <pterjan> 0.740.0-9.mga5
+ Revision: 631172
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.740.0-8.mga4
+ Revision: 524298
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.740.0-7.mga4
+ Revision: 430693
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 0.740.0-6.mga4
+ Revision: 430188
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.740.0-5.mga3
+ Revision: 367100
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.740.0-4.mga3
+ Revision: 250617
- rebuild for perl 5.16

* Sun Oct 16 2011 jquelin <jquelin> 0.740.0-3.mga2
+ Revision: 155486
- remove restriction on doc files (bug#3054)

* Sat Sep 24 2011 jquelin <jquelin> 0.740.0-2.mga2
+ Revision: 147499
- bug#2737 - update to 0.74 (fix CVE-2011-2766)

* Sat Jun 11 2011 sander85 <sander85> 0.730.0-2.mga2
+ Revision: 104247
- perl 5.14
+ blino <blino>
- 0.73 (fix build with recent ExtUtils::MakeMaker)

* Wed Jan 19 2011 jquelin <jquelin> 0.710.0-4.mga1
+ Revision: 23766
- rebuild

* Wed Jan 12 2011 jquelin <jquelin> 0.710.0-3.mga1
+ Revision: 7063
- imported package perl-FCGI

